/* (c) 2009 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. */
#include <stdio.h>
#include "drmaa.h"

int main (int argc, char **argv) {
   char error[DRMAA_ERROR_STRING_BUFFER];
   int errnum = 0;
   char contact[DRMAA_CONTACT_BUFFER];
   char drm_system[DRMAA_DRM_SYSTEM_BUFFER];
   char drmaa_impl[DRMAA_DRM_SYSTEM_BUFFER];
   unsigned int major = 0;
   unsigned int minor = 0;
      
   errnum = drmaa_get_contact (contact, DRMAA_CONTACT_BUFFER, error,
                               DRMAA_ERROR_STRING_BUFFER);
   
   if (errnum != DRMAA_ERRNO_SUCCESS) {
      fprintf (stderr, "Could not get the contact string list: %s\n", error);
   }
   else {
      printf ("Supported contact strings: \"%s\"\n", contact);
   }

   errnum = drmaa_get_DRM_system (drm_system, DRMAA_DRM_SYSTEM_BUFFER, error,
                               DRMAA_ERROR_STRING_BUFFER);
   
   if (errnum != DRMAA_ERRNO_SUCCESS) {
      fprintf (stderr, "Could not get the DRM system list: %s\n", error);
   }
   else {
      printf ("Supported DRM systems: \"%s\"\n", drm_system);
   }
   
   errnum = drmaa_get_DRMAA_implementation (drmaa_impl, DRMAA_DRM_SYSTEM_BUFFER,
                                            error, DRMAA_ERROR_STRING_BUFFER);
   
   if (errnum != DRMAA_ERRNO_SUCCESS) {
      fprintf (stderr, "Could not get the DRMAA implementation list: %s\n", error);
   }
   else {
      printf ("Supported DRMAA implementations: \"%s\"\n", drmaa_impl);
   }

   errnum = drmaa_init (NULL, error, DRMAA_ERROR_STRING_BUFFER);

   if (errnum != DRMAA_ERRNO_SUCCESS) {
      fprintf (stderr, "Could not initialize the DRMAA library: %s\n", error);
      return 1;
   }

   errnum = drmaa_get_contact (contact, DRMAA_CONTACT_BUFFER, error,
                               DRMAA_ERROR_STRING_BUFFER);
   
   if (errnum != DRMAA_ERRNO_SUCCESS) {
      fprintf (stderr, "Could not get the contact string: %s\n", error);
   }
   else {
      printf ("Connected contact string: \"%s\"\n", contact);
   }

   errnum = drmaa_get_DRM_system (drm_system, DRMAA_CONTACT_BUFFER, error,
                               DRMAA_ERROR_STRING_BUFFER);

   if (errnum != DRMAA_ERRNO_SUCCESS) {
      fprintf (stderr, "Could not get the DRM system: %s\n", error);
   }
   else {
      printf ("Connected DRM system: \"%s\"\n", drm_system);
   }

   errnum = drmaa_get_DRMAA_implementation (drmaa_impl, DRMAA_DRM_SYSTEM_BUFFER,
                                            error, DRMAA_ERROR_STRING_BUFFER);
   
   if (errnum != DRMAA_ERRNO_SUCCESS) {
      fprintf (stderr, "Could not get the DRMAA implementation list: %s\n", error);
   }
   else {
      printf ("Supported DRMAA implementations: \"%s\"\n", drmaa_impl);
   }

   errnum = drmaa_version (&major, &minor, error, DRMAA_ERROR_STRING_BUFFER);

   if (errnum != DRMAA_ERRNO_SUCCESS) {
      fprintf (stderr, "Could not get the DRMAA version: %s\n", error);
   }
   else {
      printf ("Using DRMAA version %d.%d\n", major, minor);
   }
   
   errnum = drmaa_exit (error, DRMAA_ERROR_STRING_BUFFER);

   if (errnum != DRMAA_ERRNO_SUCCESS) {
      fprintf (stderr, "Could not shut down the DRMAA library: %s\n", error);
      return 1;
   }

   return 0;
}
