#!/bin/bash
##########################################################################
# (c) 2009 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.  

echo "Stopping Hadoop PE"

SGE_HADOOP=`dirname $0`
export SGE_HADOOP

if [ -f $SGE_HADOOP/env.sh ]; then
  . $SGE_HADOOP/env.sh
else
  echo Unable to locate env.sh file
  exit 100
fi

if [ "$HADOOP_HOME" = "" ]; then
  echo Must specify \$HADOOP_HOME for pestop.sh
  exit 100
fi

HADOOP_CONF_DIR=$TMP/conf
export HADOOP_CONF_DIR

# Source the settings so we get the log dir right
if [ -f "$HADOOP_CONF_DIR/hadoop-env.sh" ]; then
  . $HADOOP_CONF_DIR/hadoop-env.sh
fi

# Get the ssh wrapper out of the path -- comment out to use qrsh -inherit
# instead of ssh for the shutdown
mv $TMP/ssh $TMP/.ssh

$HADOOP_HOME/bin/stop-mapred.sh --config $HADOOP_CONF_DIR

exit 0
