#!/bin/bash
##########################################################################
# (c) 2009 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.  

export HADOOP_CONF_DIR=$1
export SGE_HADOOP=`dirname $0`

if [ -f $SGE_HADOOP/env.sh ]; then
  . $SGE_HADOOP/env.sh
else
  echo Unable to locate env.sh file
  exit 100
fi

hostname=`hostname`

echo `date` "-- Waiting for TaskTracker to start on $hostname for job $JOB_ID"

if [ -f "$HADOOP_CONF_DIR"/hadoop-env.sh ]; then
  . "$HADOOP_CONF_DIR"/hadoop-env.sh
fi

pidfile="hadoop-$LOGNAME-tasktracker.pid"

if [ "$HADOOP_PID_DIR" != "" ]; then
  pidfile="$HADOOP_PID_DIR/$pidfile"
else
  pidfile="/tmp/$pidfile"
fi

logfile="hadoop-$LOGNAME-sge-$hostname.out"

if [ "$HADOOP_LOG_DIR" != "" ]; then
  logfile="$HADOOP_LOG_DIR/$logfile"
else
  logfile="$HADOOP_HOME/logs/$logfile"
fi

while [ 1 ]; do
  while [ ! -f $pidfile ]; do
#    echo "$hostname: No TaskTracker PID file -- sleeping" >> $logfile
    sleep 5
  done

  pid=`cat $pidfile`

  echo "$hostname: TaskTracker PID is $pid" >> $logfile

  ps -p $pid > /dev/null 2>&1

  if [ $? -eq 0 ]; then
    break
  else
#    echo "$hostname: TaskTracker process with PID=$pid isn't running -- sleeping" >> $logfile
    sleep 5
  fi
done

echo "$hostname: TaskTracker running as $pid" >> $logfile

sleep 10
ps -p $pid > /dev/null 2>&1

while [ $? -eq 0 ]; do
#  echo "$hostname: TaskTracker still running" >> $logfile
  sleep 10
  ps -p $pid > /dev/null 2>&1
done

echo "$hostname: TaskTracker has exited" >> $logfile
