#!/bin/ksh
#
# *********
# ATTENTION
# *********
# This file has been replaced by sge_mpirun. This file applies only to
# MPICH-GM versions prior to the 1.2.4..8a release.
#
# (c) 2009 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.  


set +u

if [ "$SGE_ROOT" = "" ]; then
   print -u2 SGE_ROOT is not set
   exit 1
fi
SGE_CELL=${SGE_CELL:-default}
. $SGE_ROOT/$SGE_CELL/common/settings.sh
SGE_CELL=${SGE_CELL:-default}

host=`hostname`

if [ "$PE" = "" ]; then
   print -u2 PE is not set, sge_mpirun must be issued from a Grid Engine parallel job
   exit 2
fi

if [ "$NSLOTS" = "" ]; then
   print -u2 NSLOTS is not set, sge_mpirun must be issued from a Grid Engine parallel job
   exit 3
fi

mpirun=$(qconf -sp $PE | grep "^start_proc_args" | awk '{ print $NF; }')

if [ ! -f $mpirun ]; then
   print -u2 $mpirun does not exist
   print -u2 There must be a problem with the $PE parallel environment
   exit 4
fi

if [ ! -f $TMPDIR/machines ]; then
   print -u2 $TMPDIR/machines does not exist
   print -u2 There must be a problem with the $PE parallel environment
   exit 5
fi

# Add TMPDIR to path in case there are wrappers
export PATH=$TMPDIR:$PATH

#print ===========DEBUG============
#print exec $mpirun --gm-f $TMPDIR/machines --gm-kill 15 -np $NSLOTS "$@"
#print ===========DEBUG============
exec $mpirun --gm-f $TMPDIR/machines --gm-kill 15 -np $NSLOTS "$@"
print -u2 exec of $mpirun failed
exit 6

