#!/bin/sh
# 
#
# (c) 2009 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.  

# sample pvm job 
#
# This script starts a pvm sample with master-slave 
# communication. No group communication is needed.
#
# our name 
#$ -N PVM_NOGS
# pe request
#$ -pe pvm 16-1
#$ -S /bin/sh
#$ -v SGE_QMASTER_PORT,DISPLAY
# ---------------------------

echo "Got $NSLOTS slots."

/bin/echo Here I am on a $ARC called `hostname`.

trace=
if [ "$1" = "-debug" ]; then
   case "$ARC" in 
   sun4) trace=/usr/bin/trace ;;
   solaris) trace=/usr/bin/truss ;;
   linux) trace=/usr/bin/strace ;;
   *) echo cannot run in debug mode; exit 1 ;;
   esac
   echo using $trace to trace system calls
fi

if [ x$SGE_CKPT_ENV = x ]; then
   /bin/echo Running without checkpoint environment
   bin_name=master
else
   /bin/echo Running under checkpoint environment $COD_CKPT_ENV
   bin_name=master_ckpt
fi 

# master starts slave n-1 times 
NSLOTS=`expr $NSLOTS - 1`
echo I will start $NSLOTS slaves.

$trace $SGE_ROOT/pvm/bin/$ARC/$bin_name $NSLOTS
