#!/bin/sh -f
# 
#
# (c) 2009 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.  

use_kill=false

#
# shutdown of PVM conforming with Grid Engine
# parallel environment interface
#

#
# we clean up pvm files and kill pvmd's
#

# useful to control parameters passed to us
echo $*
me=`basename $0`

if [ $use_kill = true ]; then

   pe_hostfile=$1
   host=$2

   echo "$me: cleanup on local host: $host"
   rm -rf /tmp/pvm[ld].*

   pids=`ps -awux | grep pvmd3 |grep -v grep | sed -e "s/[ ][ ]*/:/g" | cut -f2 -d:`
   for p in $pids; do
      echo "$me: killing pvmd with pid $p"
      kill $p
   done  

   RSH=/usr/ucb/rsh
   for f in `cut -f1 -d" " $pe_hostfile`; do
      if [ ! $f = $host ]; then
         echo "$me: cleanup on host: $f"
         $RSH $f 'rm -rf /tmp/pvm[ld].*'
         pids=`$RSH $f 'ps -awux | grep pvmd3 |grep -v grep | sed -e "s/[ ][ ]*/:/g" | cut -f2 -d:'`
         for p in $pids; do
            echo "$me: killing pvmd with pid $p"
            $RSH $f "kill $p"
         done  
      fi
   done
else
   if [ ! -x $SGE_ROOT/pvm/bin/$ARC/stop_pvm ]; then
      echo "$me: can't execute $SGE_ROOT/pvm/bin/$ARC/stop_pvm" >&2
      exit 100
   fi
   $SGE_ROOT/pvm/bin/$ARC/stop_pvm
fi
exit 0
