#!/bin/sh
#
# (c) 2009 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.  

#
# example for a load sensor script
#
# Be careful: Load sensor scripts are started with root permissions.
# In an admin_user system euid=0 and uid=admin_user
#

PATH=/bin:/usr/bin

ls_log_file=/tmp/ls.dbg
 
# uncomment this to log load sensor startup  
# touch $ls_log_file
# echo `date`:$$:I:load sensor `basename $0` started >> $ls_log_file

end=false
while [ $end = false ]; do

   # ---------------------------------------- 
   # wait for an input
   #
   read input
   result=$?
   if [ $result != 0 ]; then
      echo "read returned != 0"
      end=true
   fi
   if [ "$input" = "quit" ]; then
      end=true
      break
   fi

   # ----------------------------------------
   # send mark for begin of load report
   echo "begin"

   # ---------------------------------------- 
   # send load value day
   #
   day=`date | cut -f1 -d" "`
   echo "global:day:$day"

   # ---------------------------------------- 
   # send load value month
   #
   month=`date | cut -f2 -d" "`
   echo "global:month:$month"

   # ---------------------------------------- 
   # send load value weekend
   #
   weekend=false
   if [ $day = Sat -o $day = Sun ]; then
      weekend=true
   fi
   echo "global:weekend:$weekend"

   # ----------------------------------------
   # send mark for end of load report
   echo "end"

done

# echo `date`:$$:I:load sensor `basename $0` exiting >> $ls_log_file
