#!/bin/sh
#
# (c) 2009 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.  
#
# load sensor script for Solaris platform
#
# returns load value "iidle" as seconds of inactivity on mouse and keyboard
# of the current machine. Can be used to start computations on workstations
# with a loacal user logged in, but idle and suspend jobs whne local user
# is active
#
# Be careful: Load sensor scripts are started with root permissions.
# In an admin_user system euid=0 and uid=admin_user
#

PATH=/bin:/usr/bin

ARCH=`$SGE_ROOT/util/arch`

end=false
while [ $end = false ]; do

   # ---------------------------------------- 
   # wait for an input
   #
   read input
   if [ $? != 0 ]; then
      end=true
      break
   fi
   
   if [ "$input" = "quit" ]; then
      end=true
      break
   fi

   # "filestat -atime" returns time of last access of given file
   # in seconds since 1/1/1970
   #
   kbdtime=`$SGE_ROOT/utilbin/$ARCH/filestat -atime /dev/kbd`
   mousetime=`$SGE_ROOT/utilbin/$ARCH/filestat -atime /dev/mouse`   

   # "now" command returns current time in seconds since 1/1/1970
   #
   now=`$SGE_ROOT/utilbin/$ARCH/now`

   if [ "$kbdtime" -gt "$mousetime" ]; then
      idletime=`expr "$now" - "$kbdtime"`
   else
      idletime=`expr "$now" - "$mousetime"`
   fi

   echo "begin"
   echo "$HOST:iidle:$idletime"
   echo "end"
done
